Create workspace
curl --request POST \
--url https://api.luxxon.dev/api/v1/api/v1/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "acme",
"name": "Acme Visuals",
"walletAddress": "0xAbC0000000000000000000000000000000000001",
"signature": "0x1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b",
"nonce": "9f3a2b1c0d4e5f6a7b8c9d0e1f2a3b4c",
"roles": [
"CONSUMER"
]
}
'import requests
url = "https://api.luxxon.dev/api/v1/api/v1/workspaces"
payload = {
"slug": "acme",
"name": "Acme Visuals",
"walletAddress": "0xAbC0000000000000000000000000000000000001",
"signature": "0x1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b",
"nonce": "9f3a2b1c0d4e5f6a7b8c9d0e1f2a3b4c",
"roles": ["CONSUMER"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: 'acme',
name: 'Acme Visuals',
walletAddress: '0xAbC0000000000000000000000000000000000001',
signature: '0x1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b',
nonce: '9f3a2b1c0d4e5f6a7b8c9d0e1f2a3b4c',
roles: ['CONSUMER']
})
};
fetch('https://api.luxxon.dev/api/v1/api/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Request successful",
"data": {
"id": "8c3a5b6f-1d2e-4f7a-9b8c-d1e2f3a4b5c6",
"slug": "acme",
"name": "Acme Visuals",
"walletAddress": "0xAbC0000000000000000000000000000000000001",
"roles": [
"CONSUMER"
],
"availabilityState": "OFFLINE",
"coverageLat": 4.711,
"coverageLng": -74.07,
"coverageRadiusMeters": 500,
"deviceKind": "PHONE",
"lastSeenAt": null,
"createdAt": "2026-05-13T11:30:00.000Z",
"createdByWallet": "0xAbC0000000000000000000000000000000000001",
"deletedAt": null,
"consistencyToken": "GgEAAAAA..."
},
"timestamp": "2026-05-13T12:00:00.000Z"
}{
"statusCode": 400,
"code": "INVALID_INPUT",
"message": "Invalid request payload",
"detail": "invalid_input:example",
"timestamp": "2026-05-13T12:00:00.000Z"
}{
"statusCode": 401,
"code": "NOT_AUTHENTICATED",
"message": "Session expired or missing",
"detail": "not_authenticated:example",
"timestamp": "2026-05-13T12:00:00.000Z"
}{
"statusCode": 409,
"code": "CONFLICT",
"message": "Conflicts with an existing resource",
"detail": "conflict:example",
"timestamp": "2026-05-13T12:00:00.000Z"
}{
"statusCode": 503,
"code": "AUTHZ_ERROR",
"message": "Authorization service unavailable",
"detail": "authz_error:example",
"timestamp": "2026-05-13T12:00:00.000Z"
}Workspaces
Create workspace
Step 2 — workspace creation. The signing wallet becomes OWNER + first member. Returns the new workspace plus the SpiceDB ZedToken (echo as X-Lx-Consistency-Token on subsequent reads).
POST
/
api
/
v1
/
workspaces
Create workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
URL slug. lowercase alphanumeric + hyphen, 3–40 chars.
Example:
"acme"
Example:
"Acme Visuals"
Example:
"0xAbC0000000000000000000000000000000000001"
Signature over the challenge message from POST /challenge.
Example:
"0x1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b"
Example:
"9f3a2b1c0d4e5f6a7b8c9d0e1f2a3b4c"
Available options:
CONSUMER, SUPPLIER Example:
["CONSUMER"]
⌘I